namespace xmp {
static const std::string xslt =
"\n"
"<xsl:stylesheet\n"
"  version='1.0'\n"
"  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'\n"
"  xmlns:x='adobe:ns:meta/'\n"
"  xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'\n"
"  xmlns:pdf='http://ns.adobe.com/pdf/1.3/'\n"
"  xmlns:dc='http://purl.org/dc/elements/1.1/'\n"
"  xmlns:xmp='http://ns.adobe.com/xap/1.0/'\n"
"  xmlns:xmpMM='http://ns.adobe.com/xap/1.0/mm/'\n"
"  xmlns:stEvt='http://ns.adobe.com/xap/1.0/sType/ResourceEvent#'\n"
"  exclude-result-prefixes='xsl x rdf pdf dc xmp xmpMM stEvt'\n"
">\n"
"\n"
"<xsl:output method='xml' omit-xml-declaration='yes'/>\n"
"\n"
"<xsl:param name='djvu-producer' select='\"\"'/>\n"
"<xsl:param name='now' select='\"\"'/>\n"
"<xsl:param name='pdf-title' select='\"\"'/>\n"
"<xsl:param name='pdf-author' select='\"\"'/>\n"
"<xsl:param name='pdf-subject' select='\"\"'/>\n"
"<xsl:param name='pdf-keywords' select='\"\"'/>\n"
"<xsl:param name='pdf-producer' select='\"\"'/>\n"
"<xsl:param name='pdf-creator' select='\"\"'/>\n"
"<xsl:param name='pdf-creation-date' select='\"\"'/>\n"
"<xsl:param name='pdf-mod-date' select='\"\"'/>\n"
"\n"
"<xsl:template match='/x:xmpmeta'>\n"
"  <xsl:apply-templates select='rdf:RDF'/>\n"
"</xsl:template>\n"
"\n"
"<xsl:template match='/x:xmpmeta/rdf:RDF'>\n"
"  <xsl:copy>\n"
"    <xsl:copy-of select='@*'/>\n"
"    <xsl:apply-templates/>\n"
"    <rdf:Description rdf:about=''>\n"
"      <xsl:if test='count(rdf:Description/xmpMM:History/rdf:Seq) = 0'>\n"
"        <xmpMM:History>\n"
"          <rdf:Seq>\n"
"            <xsl:apply-templates mode='convert-info' select='/'/>\n"
"          </rdf:Seq>\n"
"        </xmpMM:History>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/dc:title) = 0 and $pdf-title != \"\"'>\n"
"        <dc:title><xsl:copy-of select='$pdf-title'/></dc:title>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/dc:creator) = 0 and $pdf-author != \"\"'>\n"
"        <dc:creator><xsl:copy-of select='$pdf-author'/></dc:creator>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/dc:description) = 0 and $pdf-subject != \"\"'>\n"
"        <dc:description><xsl:copy-of select='$pdf-subject'/></dc:description>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/dc:format) = 0'>\n"
"        <dc:format>image/vnd.djvu</dc:format>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/pdf:Keywords) = 0 and $pdf-keywords != \"\"'>\n"
"        <pdf:Keywords><xsl:copy-of select='$pdf-keywords'/></pdf:Keywords>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/pdf:Producer) = 0 and $pdf-producer != \"\"'>\n"
"        <pdf:Producer><xsl:copy-of select='$pdf-producer'/></pdf:Producer>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/xmp:CreatorTool) = 0 and $pdf-creator != \"\"'>\n"
"        <xmp:CreatorTool><xsl:copy-of select='$pdf-creator'/></xmp:CreatorTool>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/xmp:CreateDate) = 0 and $pdf-creation-date != \"\"'>\n"
"        <xmp:CreateDate><xsl:copy-of select='$pdf-creation-date'/></xmp:CreateDate>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/xmp:ModifyDate) = 0 and $pdf-mod-date != \"\"'>\n"
"        <xmp:ModifyDate><xsl:copy-of select='$pdf-mod-date'/></xmp:ModifyDate>\n"
"      </xsl:if>\n"
"      <xsl:if test='count(rdf:Description/xmp:MetadataDate) = 0 and $now != \"\"'>\n"
"        <xmp:MetadataDate><xsl:copy-of select='$now'/></xmp:MetadataDate>\n"
"      </xsl:if>\n"
"    </rdf:Description>\n"
"  </xsl:copy>\n"
"</xsl:template>\n"
"\n"
"<xsl:template mode='convert-info' match='*'>\n"
"  <rdf:li\n"
"    stEvt:action='converted'\n"
"    stEvt:parameters='from application/pdf to image/vnd.djvu'\n"
"    stEvt:softwareAgent='{$djvu-producer}'\n"
"    stEvt:when='{$now}'\n"
"  />\n"
"</xsl:template>\n"
"\n"
"<xsl:template match='/x:xmpmeta/rdf:RDF/rdf:Description/xmpMM:History/rdf:Seq'>\n"
"  <xsl:copy>\n"
"    <xsl:copy-of select='@*'/>\n"
"    <xsl:apply-templates/>\n"
"    <xsl:apply-templates mode='convert-info' select='/'/>\n"
"  </xsl:copy>\n"
"</xsl:template>\n"
"\n"
"<xsl:template match='/x:xmpmeta/rdf:RDF/rdf:Description/dc:format'>\n"
"  <xsl:copy>\n"
"    <xsl:copy-of select='@*'/>\n"
"    <xsl:text>image/vnd.djvu</xsl:text>\n"
"  </xsl:copy>\n"
"</xsl:template>\n"
"\n"
"<xsl:template match='/x:xmpmeta/rdf:RDF/rdf:Description/xmp:MetadataDate'>\n"
"  <xsl:copy>\n"
"    <xsl:copy-of select='@*'/>\n"
"    <xsl:copy-of select='$now'/>\n"
"  </xsl:copy>\n"
"</xsl:template>\n"
"\n"
"<xsl:template match='*'>\n"
"  <xsl:copy>\n"
"    <xsl:copy-of select='@*'/>\n"
"    <xsl:apply-templates/>\n"
"  </xsl:copy>\n"
"</xsl:template>\n"
"\n"
"</xsl:stylesheet>\n"
"\n"
;
}

